WPXSubDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPXSubDocument Class Reference

`#include <WPXSubDocument.h>`

Inheritance diagram for WPXSubDocument:

## Public Member Functions
| WPXSubDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned dataSize)
| WPXSubDocument (unsigned char *streamData, const unsigned dataSize)
virtual | ~WPXSubDocument ()
WPXMemoryInputStream * | getStream () const

## Private Member Functions
| WPXSubDocument ()
| WPXSubDocument (const WPXSubDocument &)
WPXSubDocument & | operator= (const WPXSubDocument &)

## Private Attributes
WPXMemoryInputStream * | m_stream
unsigned char * | m_streamData

## Constructor & Destructor Documentation

WPXSubDocument::WPXSubDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned | dataSize
| ) |  |

WPXSubDocument::WPXSubDocument | ( | unsigned char * | streamData,
|  | const unsigned | dataSize
| ) |  |

WPXSubDocument::~WPXSubDocument | ( |  | ) |
| virtual

WPXSubDocument::WPXSubDocument | ( |  | ) |
| private

WPXSubDocument::WPXSubDocument | ( | const WPXSubDocument & |  | ) |
| private

## Member Function Documentation

WPXMemoryInputStream* WPXSubDocument::getStream | ( |  | ) | const
| inline

Referenced by WP3ContentListener::insertWP51Table(), WP6SubDocument::parse(), WP5SubDocument::parse(), WP42SubDocument::parse(), WP3SubDocument::parse(), and WP1SubDocument::parse().

WPXSubDocument& WPXSubDocument::operator= | ( | const WPXSubDocument & |  | ) |
| private

## Member Data Documentation

WPXMemoryInputStream* WPXSubDocument::m_stream
| private

Referenced by getStream(), WPXSubDocument(), and ~WPXSubDocument().

unsigned char* WPXSubDocument::m_streamData
| private

Referenced by WPXSubDocument(), and ~WPXSubDocument().

The documentation for this class was generated from the following files:

- WPXSubDocument.h
- WPXSubDocument.cpp